> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitoearn.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Asset list

> List asset records owned by the current API key account. Use Asset details for the latest processing status.



## OpenAPI

````yaml /openapi/en/aitoearn.openapi.json get /api/ai/volcengine/assets/items
openapi: 3.0.1
info:
  title: AiToEarn Open Platform API
  description: >-
    AiToEarn Open Platform API. You can switch between the China and
    international sites for testing. Business success is determined by whether
    the response body has code === 0.
  version: 1.0.0
  contact: {}
servers:
  - url: https://aitoearn.cn
    description: China site
  - url: https://aitoearn.ai
    description: International site
security: []
tags:
  - name: AI Services
  - name: AI Services/Video Generation
  - name: AI Services/Image Generation
  - name: Channel Management
  - name: Channel Management/Accounts
  - name: Channel Management/Publishing
  - name: Channel Management/Platforms
  - name: Channel Management/Works
  - name: Channel Management/Account Groups
  - name: Channel Management/Authorization
  - name: Asset Management
  - name: AI Services/Large Language Models
  - name: AI Services/Real-person Assets
paths:
  /api/ai/volcengine/assets/items:
    get:
      tags:
        - AI Services/Real-person Assets
      summary: Asset list
      description: >-
        List asset records owned by the current API key account. Use Asset
        details for the latest processing status.
      operationId: VolcengineAssetsController_listAssetsWithPagination
      parameters:
        - name: page
          in: query
          required: false
          description: Page number, starting from 1.
          schema:
            type: integer
            minimum: 1
            default: 1
            description: Page number, starting from 1.
        - name: pageSize
          in: query
          required: false
          description: Items per page, from 1 to 1000.
          schema:
            type: integer
            minimum: 1
            maximum: 1000
            default: 10
            description: Items per page, from 1 to 1000.
        - name: groupId
          in: query
          required: false
          description: Asset group ID.
          schema:
            type: string
            description: Asset group ID.
        - name: assetType
          in: query
          required: false
          description: Asset type.
          schema:
            type: string
            enum:
              - Image
              - Video
              - Audio
            description: Asset type.
        - name: status
          in: query
          required: false
          description: Asset status.
          schema:
            type: string
            enum:
              - Processing
              - Active
              - Failed
            description: Asset status.
      responses:
        '200':
          description: >-
            The request has been processed by the service. Business success is
            determined by whether the response body has code === 0.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      page:
                        type: integer
                        description: Current page number.
                      pageSize:
                        type: integer
                        description: Items per page.
                      totalPages:
                        type: integer
                        description: Total pages.
                      total:
                        type: integer
                        description: Total item count.
                      list:
                        type: array
                        items:
                          type: object
                          properties:
                            assetId:
                              type: string
                              description: Asset ID.
                            groupId:
                              type: string
                              description: Asset group ID.
                            name:
                              type: string
                              description: Asset name.
                            assetType:
                              type: string
                              enum:
                                - Image
                                - Video
                                - Audio
                              description: Asset type.
                            status:
                              type: string
                              enum:
                                - Processing
                                - Active
                                - Failed
                              description: >-
                                Asset status. Only Active assets can be used for
                                video generation.
                            url:
                              type: string
                              format: uri
                              description: Asset source file URL.
                            createdAt:
                              type: string
                              format: date-time
                              description: Created at.
                            updatedAt:
                              type: string
                              format: date-time
                              description: Updated at.
                          required:
                            - assetId
                            - groupId
                            - assetType
                            - status
                            - createdAt
                            - updatedAt
                          additionalProperties: false
                        description: Data list.
                    required:
                      - page
                      - pageSize
                      - totalPages
                      - total
                      - list
                    additionalProperties: false
                  code:
                    type: integer
                    description: >-
                      Business status code. 0 means success; non-zero means a
                      business error.
                  message:
                    type: string
                    description: Response message.
                  requestId:
                    type: string
                    description: Request ID.
                  timestamp:
                    type: integer
                    description: Error response timestamp in Unix milliseconds.
                required:
                  - code
                  - message
              examples:
                success:
                  summary: Success
                  value:
                    code: 0
                    message: Request succeeded
                    data:
                      page: 1
                      pageSize: 1
                      totalPages: 1
                      total: 1
                      list:
                        - assetId: string
                          groupId: string
                          assetType: Image
                          status: Processing
                          createdAt: '2026-07-02T12:00:00.000Z'
                          updatedAt: '2026-07-02T12:00:00.000Z'
                          name: string
                          url: https://assets.aitoearn.cn/example.png
                validationFailed10002:
                  summary: ValidationFailed (10002)
                  value:
                    code: 10002
                    message: Parameter validation failed
                    data: {}
                    timestamp: 1772099056662
                unauthorized401:
                  summary: Unauthenticated or invalid API Key
                  value:
                    code: 401
                    message: Unauthorized
                    data: {}
                    timestamp: 1772099056662
      security:
        - apikey-header-X-Api-Key: []
components:
  securitySchemes:
    apikey-header-X-Api-Key:
      type: apiKey
      in: header
      name: X-Api-Key
      description: >-
        Need to get API Key from AiToEarn. Click to go to ["API Key Obtaining
        Tutorial"](/en/use/api-key).

````